package com.zcxk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.dao.MessageTemplateMapper;
import com.zcxk.entity.MessageTemplate;
import com.zcxk.service.MessageTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (MessageTemplate表)服务实现类
 *
 * @author makejava
 * @since 2020-11-12 10:53:47
 */
@Service("messageTemplateService")
public class MessageTemplateServiceImpl implements MessageTemplateService {
    @Autowired
    private MessageTemplateMapper messageTemplateMapper;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public MessageTemplate selectById(Integer id) {
        return this.messageTemplateMapper.selectById(id);
    }


    /**
     * 查询所有
     *
     * @return 实例对象的集合
     */
    @Override
    public List<MessageTemplate> selectAll() {
        return this.messageTemplateMapper.selectAll();
    }

    /**
     * 根据条件查询
     *
     * @return 实例对象的集合
     */
    @Override
    public List<MessageTemplate> selectList(MessageTemplate messageTemplate) {
        return this.messageTemplateMapper.selectList(messageTemplate);
    }

    /**
     * 新增数据
     *
     * @param messageTemplate 实例对象
     * @return 实例对象
     */
    @Override
    public int insert(MessageTemplate messageTemplate) {
        this.messageTemplateMapper.insert(messageTemplate);
        return messageTemplate.getId();
    }

    /**
     * 批量新增
     *
     * @param messageTemplates 实例对象的集合
     * @return 生效的条数
     */
    @Override
    public int batchInsert(List<MessageTemplate> messageTemplates) {
        return this.messageTemplateMapper.batchInsert(messageTemplates);
    }

    /**
     * 修改数据
     *
     * @param messageTemplate 实例对象
     * @return 实例对象
     */
    @Override
    public int update(MessageTemplate messageTemplate) {

            this.messageTemplateMapper.update(messageTemplate);

        return 0;
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public int deleteById(Integer id) {
        return this.messageTemplateMapper.deleteById(id);
    }

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    @Override
    public int count() {
        return this.messageTemplateMapper.count();
    }

    /**
     * 分页查询
     *
     * @return 对象列表
     */
    @Override
    public IPage<MessageTemplate> selectPage(MessageTemplate messageTemplate, IPage<MessageTemplate> page) {
        return this.messageTemplateMapper.selectPage(page, messageTemplate);
    }
}